Spis treści

Polecenia diagnostyczne

Diagnostyka

Komunikaty

Wartości pomiarowe

System

Opcje

Menu Pomoc

Diagnostic Interface WABCO

Opis

Pozostałe

Pomoc przy naprawie

Tabela kodów błędów (wymagany Acrobat Reader)
Specyfikacja produktu MTS-P (wymagany Acrobat Reader)
Specyfikacja produktu MTS-E (wymagany Acrobat Reader)
Specyfikacja produktu MTS-P-EM (wymagany Acrobat Reader)
Specyfikacja produktu MTS-PX (wymagany Acrobat Reader)
Specyfikacja produktu MTS-EX (wymagany Acrobat Reader)


Menu Diagnoza

Uruchom | Nawiązywanie połączenia ze sterownikiem
 | Połączenie diagnostyczne ze sterownikiem zostaje przerwane. Ten punkt menu jest dostępny tylko przy istniejącym połączeniu diagnostycznym.
Przerwij | Zakończenie połączenia ze sterownikiem
Drukowanie | Wydruk zapisanego protokołu pamięci wskazówek diagnostycznych, protokołu wartości pomiarowych lub protokołu parametrów
Zakończ | Polecenie Zakończ kończy program diagnostyczny. W przypadku występującego połączenia diagnostycznego ze sterownikiem następuje jego rozłączenie oraz rozłączenie połączenia z interfejsem diagnostycznym.


Uruchomienie diagnozy

Po rozpoczęciu programu diagnostycznego następuje inicjalizacja interfejsu diagnostycznego WABCO na ustawionym złączu szeregowym i układ ECU zostaje przełączony na pracę diagnostyczną. Jeżeli komputer nie może nawiązać połączenia z interfejsem, wszystkie związane z nim polecenia menu wyświetlane są w kolorze szarym. Możliwymi przyczynami związanymi z niepowodzeniem inicjalizacji interfejsu diagnostycznego są:

- Wybór błędnego złącza szeregowego --> Wybrać złącze za pomocą Ustawienia .

- Interfejs nie jest zasilany --> Podłączyć interfejs kablem podłączeniowym do gniazda diagnostycznego pojazdu. Włączyć zasilanie interfejsu.

- Interfejs nie jest połączony z komputerem --> Połączyć interfejs ze złączem szeregowym komputera za pomocą przewodu komputerowego .

- Pojazd nie jest w bezruchu.


Przerwanie diagnozy

Połączenie diagnostyczne ze sterownikiem zostaje przerwane.
Ten punkt menu jest dostępny tylko przy istniejącym połączeniu diagnostycznym.


Zakończenie diagnozy

Polecenie Zakończ kończy program diagnostyczny. W przypadku występującego połączenia diagnostycznego ze sterownikiem następuje jego rozłączenie oraz rozłączenie połączenia z interfejsem diagnostycznym.


Menu Komunikaty

W tym menu rozwijanym można rozpocząć uruchomienie:

Pamięć diagnostyczna
Odczytywanie pamięci diagnozy ECU, wyświetlanie, zapamiętanie i wydruk zapisanych komunikatów.


Pamięć diagnostyki

Komunikaty | Pamięć diagnostyki

Pamięć diagnostyczna ECU jest odczytywana i przeszukiwana pod kątem zapisanych informacji. Po wykryciu jednej lub kilku informacji zostają on wyświetlone. Rozróżniane są przy tym aktualne i nieaktualne informacje. Przed każdą informacją znajduje się symbol, oznaczający aktualną lub nieaktualną informację.

Aktualnie występująca informacja

Informacja nie występująca aktualnie

Informacja
Do wybranej na liście informacji wywoływana jest pomoc do naprawy.

Dane dodatkowe
Do wybranego błędu wyświetlane są dodatkowe informacje, jak przebieg w km przy pierwszym i ostatnim wystąpieniu błędu. Jeżeli system wyposażony jest w Smartboard, wyświetlana jest również godzina pierwszego i ostatniego wystąpienia błędu.

Kasowanie pamięci diagnostycznej
Następuje skasowanie pamięci diagnostycznej ECU. Następnie ECU sprawdza wszystkie podzespoły i zapisuje ustalone informacje. Następnie pamięć diagnostyczna jest ponownie odczytywana, a zapisane informacje są wyświetlane.

Aktualizacja
Pamięć diagnostyczna jest aktualizowana przez ECU i odczytywana przez program diagnostyczny. Pokazywane są zapisane informacje. Pamięć diagnostyczna nie jest kasowana.


Menu Wartości pomiarowe

Za pomocą tych funkcji można wyświetlić położenia przełączników i wartości pomiarowe.

Wartości pomiarowe są na bieżąco odczytywane i przedstawiane. Gdyby któryś z komponentów nie był zamontowany lub dostarczył nieprawidłowy sygnał, wartość pomiarowa zostanie przedstawiona jako ”---”.

Bieg drzwi
Wejścia / Stan systemu
Napięcia
Dane magistrali CAN pojazdu
Rejestracja wartości pomiarowych


Wartości pomiarowe Bieg drzwi

Wartości pomiarowe | Bieg drzwi

W tym oknie dialogowym przedstawiane są wartości pomiarowe do zaprogramowanych i aktualnych położeń drzwi, stany presostatów i ostatni środek chroniący przed zakleszczeniem.

Wartości pomiarowe są na bieżąco odczytywane i przedstawiane. Gdyby któryś z komponentów nie był zamontowany lub dostarczył nieprawidłowy sygnał, wartość pomiarowa zostanie przedstawiona jako ”---”.


Wartości pomiarowe Napięcia

Wartości pomiarowe | Napięcia

W tym miejscu wyświetlane są aktualne napięcia wszystkich zamontowanych drzwi.

Wartości pomiarowe są na bieżąco odczytywane i przedstawiane. Gdyby któryś z komponentów nie był zamontowany lub dostarczył nieprawidłowy sygnał, wartość pomiarowa zostanie przedstawiona jako ”---”.


Wartości pomiarowe Dane magistrali CAN pojazdu

Wartości pomiarowe | Dane magistrali CAN pojazdu

Tu wyświetlane sa wartości pomiarowe, jakie MTS wysyła za pośrednictwem magistrali CAN pojazdu.

Wartości pomiarowe są na bieżąco odczytywane i przedstawiane. Gdyby któryś z komponentów nie był zamontowany lub dostarczył nieprawidłowy sygnał, wartość pomiarowa zostanie przedstawiona jako ”---”.


Wartości pomiarowe Wejścia / Stan systemu

Wartości pomiarowe | Wejścia / Stan systemu

W tym oknie dialogowym wyświetlane są wejścia i stan systemu.

Wartości pomiarowe są na bieżąco odczytywane i przedstawiane. Gdyby któryś z komponentów nie był zamontowany lub dostarczył nieprawidłowy sygnał, wartość pomiarowa zostanie przedstawiona jako ”---”.


Wartości pomiarowe Rejestracja wartości pomiarowych

Wartości pomiarowe | Rejestracja wartości pomiarowych

Za pomocą rejestracji wartości pomiarowych można w dowolnym momencie zarejestrować wszystkie wartości pomiarowe systemu MTS, a następnie wydrukować je lub zapisać w pamięci komputera.

Za pomocą tego przycisku uruchamia się rejestrację wartości pomiarowych.

W tym miejscu można wydrukować zarejestrowane wcześniej wartości pomiarowe na podłączonej drukarce. Przycisk ten jest dostępny dopiero wówczas, gdy wcześniej zarejestrowane zostały wartości pomiarowe.

Po naciśnięciu tego przycisku można zapisać wartości pomiarowe w pliku. Zapisane tu wartości pomiarowe można później wydrukować poleceniem menu ”Plik|Drukuj|Protokół wartości pomiarowych”.


Menu System

Za pomocą tych funkcji można przeglądać lub zmieniać zarówno parametry ECU, jak i parametry zapisane w komputerze.
Parametry | Edycja parametrów MTS
Wyświetlenie aktualnych danych systemowych | Wyświetlenie danych rozpoznanych modułów drzwiowych
Wyświetlenie starych danych systemowych | Wyświetlenie ostatnio zapisanych danych systemowych. Ten punkt menu jest dostępny dopiero od numeru 4 programu testowego.
Identyfikacja urządzeń testowych | Wyświetlenie identyfikatora Fingerprint


Parametry systemu MTS (specyficzne dla systemu)

System | Parametry MTS (specyficzne dla systemu)

W tym oknie dialogowym możliwe jest przedstawienie specyficznych dla systemu parametrów instalacji MTS. Jeżeli występuje połączenie diagnostyczne, przy wywołaniu wszystkie parametry wczytywane są ze sterownika.

Zapis parametrów możliwy jest w ostatnim oknie dialogowym parametrów specyficznych dla drzwi.

Za pomocą przycisku ”Dalej” przechodzi się do parametrów specyficznych dla drzwi

Pozostałe możliwości:

Aktualne parametry wczytywane są z ECU. Ten przycisk dostępny jest tylko wówczas, gdy występuje połączenie diagnostyczne.

Wczytywane są parametry zapisane w pliku.


Parametry systemu MTS (specyficzne dla drzwi)

System | Parametry MTS (specyficzne dla drzwi)

Dla każdych zamontowanych drzwi występuje okno dialogowe parametrów, w którym możliwa jest obróbka parametrów specyficznych dla drzwi. Za pomocą przycisku ”Dalej” przechodzi się do parametrów następnych drzwi. W ostatnim z tych okien dialogowych możliwy jest zapis parametrów. Za pomocą przycisku ”Wstecz” przechodzi się do parametrów poprzednich drzwi, a ostatecznie do parametrów specyficznych dla systemu
Edycja parametrów specyficznych dla dla drzwi T07..T23 udostępniana jest poprzez wpis [wersja]/EditParameters w pliku MTS.INI. Aby możliwa była edycja parametrów, należy ustawić ten wpis na EditParameters=1.

Parametry zapisywane są w sterowniku. Zapis parametrów w sterowniku możliwy jest jednak dopiero po podaniu numeru PIN .

Parametry mogą być zapisane w pliku.
Dzięki temu możliwe jest przeniesienie parametrów do innego sterownika lub ich późniejsze wydrukowanie.

Na podłączonej drukarce można wydrukować aktualne parametry.


System identyfikacji urządzeń testowych (Fingerprint)

System | Identyfikacja urządzeń testowych (Fingerprint)

Za pomocą tego polecenia można odczytać „Fingerprint” (ang. „odcisk palca”) ze sterownika.
Jeżeli parametryzowany jest system MTS, użyty program diagnostyczny wpisuje jego numer seryjny, tzw. „Fingerprint”, do układu elektronicznego. Pozwala to na późniejsze stwierdzenie, kto dokonał ostatniej parametryzacji układu elektronicznego.
W układzie elektronicznym mogą być zapisywane różne Fingerprint, w zależności od tego, które parametry zostały zmienione. Fingerprint składa się z następujących części:

Producent urządzeń testowych: Kod producenta urządzeń testowych (Wabco = 2)
Numer identyfikacyjny: Numer seryjny użytego programu diagnostycznego
Data dostępu: Data, kiedy nastąpił dostęp


Menu Opcje

Ustawienia | Ustawienia oprogramowania diagnostycznego
Wprowadzanie PIN | Aktywacja funkcji specjalnych oprogramowania diagnostycznego


Wprowadzanie PIN

Opcje | Wprowadzenie PIN

Jeżeli urządzenie sterujące dysponuje funkcjami chronionymi lub obszarami pamięci, które mogą być obsługiwane tylko przez wyszkolone osoby, funkcje te mogą zostać włączone po podaniu Osobistego Numeru Identyfikacyjnego ( PIN ). Każdy program diagnostyczny dysponuje numerem seryjnym, pod którym w firmie WABCO, w oddziale SI , zdeponowany jest PIN.


Ustawienia

W tym punkcie menu można dokonać następujących ustawień:

Złącze szeregowe | Wybór złącza, do którego podłączony jest interfejs diagnostyczny
Ścieżka zapisu plików | Wyznaczenie ścieżek dostępu do plików
Opcje programu | Ustawianie różnych opcji programu
Parametryzacja | Możliwa jest parametryzacja wszystkich drzwi, nawet jeśli nie są one zamontowane.
Przewód diagnostyczny | Ustawienie, do którego przewodu diagnostycznego podłączony jest interfejs diagnostyczny.


Złącze szeregowe

Opcje | Ustawienia | Wybór interfejsu szeregowego

Tutaj zostaje ustawione złącze szeregowe, do którego podłączony jest przewód PC interfejsu diagnostycznego WABCO.

Po przyciśnięciu przycisku OK następuje inicjalizacja interfejsu na złączu szeregowym. Jeśli złącze jest zajęte, pojawia się odpowiedni komunikat i należy ponownie przeprowadzić ustawienie złącza szeregowego, gdyż inaczej nie będzie możliwe wykonywanie żadnych funkcji interfejsu.

W przypadku wykrycia wolnego złącza szeregowego, do którego nie jest jednak podłączony działający interfejs (np. niewłączone napięcie zasilające interfejsu lub przewód PC nie jest prawidłowo wetknięty), można przeprowadzić inicjalizację interfejsu poleceniem Uruchomienie diagnozy .

Ustawienie złącza szeregowego zostanie zapamiętane i nie trzeba go przeprowadzać po ponownym starcie programu diagnostycznego.

Za pomocą przycisku Anuluj opuszcza się ustawienia bez zmiany złącza.


Ścieżka zapisu plików

Opcje | Ustawienia | Ścieżka zapisu plików

Można ustawić folder, z którego odczytywane są dane, np. przy parametryzowaniu, oraz folder, w którym dane są zapisywane, np. protokół uruchomienia. Folder jest albo wpisywany bezpośrednio, albo zostaje wybrany z drzewa folderów po naciśnięciu przycisku „Zmień”.


Opcje programu

Opcje | Ustawienia | Opcje programu

W tym punkcie menu można ustawiać następujące opcje:

Uruchom program w trybie pełnego ekranu
Zaznaczenie tej opcji powoduje, że program diagnostyczny jest uruchamiany w trybie pełnego ekranu.

Nawiązywanie połączenia diagnostycznego przy uruchamianiu
Po aktywacji tej opcji w chwili uruchamiania diagnostyki program usiłuje nawiązać połączenie z układem elektronicznym.

Wyświetlanie tekstów pomocy
Najechanie kursorem myszy na pasek przycisków powoduje wyświetlenie tekstu pomocy.


Parametryzacja

Opcje | Ustawienia | Parametryzacja

Za pomocą tego ustawienia można ustalić, czy ma być możliwa parametryzacja wszystkich drzwi, nawet jeśli nie są one zamontowane.
Z reguły parametryzowane mogą być tylko sterowniki zamontowane w systemie i rozpoznane. Funkcję tę można włączyć, aby umożliwić przygotowanie modułu bazowego dla następnych drzwi, nawet jeśli nie są one jeszcze zainstalowane.
Dokonane tu ustawienie nie jest zapisywane w pamięci i musi być aktywowane po każdym uruchomieniu programu.


Przewód diagnostyczny

Opcje | Ustawienia | Przewód diagnostyczny

Tutaj można ustawić przewód diagnostyczny, do którego podłączone jest złącze diagnostyczne. Możliwe są następujące ustawienia:

Przewód K: Diagnostyka za pośrednictwem przewodu K (protokół KWP) sterownika lub FPS
CAN: Diagnostyka za pośrednictwem magistrali CAN pojazdu (125kBit)


Menu Pomoc

Menu pomocy umożliwia dostęp do systemu pomocy oraz do okien dialogowych informacji.
Spis treści | Spis treści systemu pomocy.
Obsługiwane moduły ECU | Wykaz wszystkich ECU obsługiwanych przez ten program.
Informacja o | Informacje o wersji i licencji.


Spis treści pomocy

Pomoc | Spis treści

Polecenie Pomoc|Spis treści pokazuje spis treści systemu pomocy.


Interfejs diagnostyczny

Menu Opcje

Interfejs diagnostyczny | Krótki opis
Przewód komputerowy | Przewód pomiędzy interfejsem RS232 komputera a interfejsem diagnostycznym
Diagnostyczny przewód przyłączeniowy | Przyporządkowanie styków złącza diagnostycznego (Diagnostic Interface)


Interfejs diagnostyczny

Dostępne są dwa interfejsy diagnostyczne:

1.) Interfejs diagnostyczny WABCO 446 301 000 0 jest podłączany przewodem PC do złącza szeregowego komputera PC.
2.) Interfejs diagnostyczny WABCO 446 301 001 0 jest przeznaczony do podłączania do złącza USB komputera PC.

Połączenie ze złączem diagnostycznym jest dokonywane przez specjalny dla danego systemu przewód przyłączeniowy .


Przewód komputerowy

Przewód komputerowy 894 604 899 0 łączy interfejs diagnostyczny WABCO 446 301 000 0 ze złączem szeregowym komputera. W przypadku starszych komputerów dysponujących 25-biegunowym złączem szeregowym można pomiędzy przewodem komputerowym i komputerem włączyć dostępny w handlu adapter 25-9-biegunowy lub zastosować przewód PC-XT zgodnie z poniższym schematem podłączenia.


Diagnostyczny przewód przyłączeniowy

Do podłączenia Interfejsu diagnostycznego WABCO do złącza diagnostycznego pojazdu lub ECU, konieczny jest odpowiedni przewód przyłączeniowy. Wszystkie przewody przyłączeniowe sterownika diagnostycznego WABCO mogą być nadal wykorzystywane.

Podłączanie pojazdu do interfejsu diagnostycznego (9-styk.)

Styk 1 - napięcie zasilania (akumulator pojazdu +)
STYK 2 -- masa (akumulator pojazdu -)
PIN 3 -- ISO / DIS 11898 CAN GND
PIN 4 -- ISO / DIS 11898 CAN LOW
PIN 5 -- ISO / DIS 11898 CAN HIGH
PIN 6 -- SAE J 1708 przewód A
PIN 7 -- SAE J 1708 przewód B
PIN 8 -- ISO 9141 przewód K
PIN 9 -- ISO 9141 przewód L


Oprogramowanie diagnostyczne MTS

Aktualna informacja

Aktualna informacja to informacja ustalona przez ECU przed rozpoczęciem pracy diagnostycznej. Te informacje występują w danej chwili i muszą zostać uwzględnione.


Oprogramowanie diagnostyczne MTS

Nieaktualna informacja

Jeżeli w przeszłości ECU stwierdził i zapisał informację, która od późniejszego momentu już nie występowała, zostanie ona oznaczona w pamięci diagnostycznej jako nieaktualna. Przyczyny tej informacji nie można ustalić w obecnej chwili. Może to być na przykład przerywane przewodzenie.


Oprogramowanie diagnostyczne MTS

Kod PIN jest liczbą czterocyfrową, która powiązana jest fabrycznie z numerem seryjnym programu diagnostycznego. Po wprowadzeniu oryginalnego kodu PIN istnieje możliwość ustalenia indywidualnego kodu PIN. Indywidualny kod PIN może ulegać zmianom, natomiast oryginalny kod PIN pozostaje zawsze ten sam.


Oprogramowanie diagnostyczne MTS

Dział serwisowy WABCO SI, tel.: +49 (0)1802 232320